package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ContratoCorporativo;

public class RenderContrato implements ListitemRenderer {

    @Override
    public void render(Listitem lstm, Object o) throws Exception {
    	ContratoCorporativo contrato = (ContratoCorporativo) o;
    	SimpleDateFormat f = new SimpleDateFormat("dd/MM/yyyy");

        Listcell lc = new Listcell(contrato.getNumContrato());
        lc.setParent(lstm);

    	lc = new Listcell(f.format(contrato.getDataInicial()));
        lc.setParent(lstm);
        
        lc = new Listcell(f.format(contrato.getDataFinal()));
        lc.setParent(lstm);

        lc = new Listcell(contrato.getNomeClienteCorp());
        lc.setParent(lstm);
        
        lc = new Listcell(contrato.getNomeGrupoContrato());
        lc.setParent(lstm);

        lstm.setAttribute("data", contrato);
    }
}
